# pydicom.sr.Concepts

class pydicom.sr.Concepts(collections: list[Collection])

  Management class for the available concept collections.

  Added in version 3.0.

  __init__(collections: list[Collection]) → None

    Create a new concepts management class instance.

    Parameters:

      collections (list[Collection]) – A list of the available concept collections.

  Methods

  `CIDs`() | Return a list of available CID names.
  `__init__`(collections) | Create a new concepts management class instance.
  `schemes`() | Return a list of available scheme designations.

  Attributes

  `collections` | Return the names of the available concept collections.

  CIDs() → list[str]

    Return a list of available CID names.

  property collections: KeysView[str]

    Return the names of the available concept collections.

  schemes() → list[str]

    Return a list of available scheme designations.